#
# spec file for package python-group-based-policy-client
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-group-based-policy-client
Version:        4.0.0
Release:        2.1
Summary:        CLI and Client Library for Group Based Policy
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://files.pythonhosted.org/packages/source/p/python-group-based-policy-client/python-group-based-policy-client-%{version}.tar.gz
BuildRequires:  %{python_module heatclient}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module mox3}
BuildRequires:  %{python_module neutronclient}
BuildRequires:  %{python_module oslotest}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module testrepository}
BuildRequires:  python-mox
BuildRequires:  python-pbr >= 1.8
BuildRequires:  python-rpm-macros
Requires:       python-heatclient >= 1.6.1
Requires:       python-neutronclient >= 6.3.0
Requires:       python-oslo.serialization >= 2.18.0
BuildArch:      noarch

%python_subpackages

%description
This is the client API library for Group Based Policy.

%prep
%setup -q -n %{name}-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/gbp

%check
rm -v ./gbpclient/tests/unit/test_cli20.py
# broken with master :(
# %{python_expand rm -rf .testrepository
# $python setup.py testr
# }

%post
%python_install_alternative gbp

%postun
%python_uninstall_alternative bbp

%files %{python_files}
%{python_sitelib}/*
%python_alternative %{_bindir}/gbp

%changelog
* Tue Nov 20 2018 dmueller@suse.com
- switch to singlespec
* Wed Nov  7 2018 mmnelemane@suse.com
- Upgraded to release version 4.0.0
  - renamed package to use the default python-group-based-policy-client
  - replaced sdist tarball with original tarball from the release URL
* Fri Feb 23 2018 tbechtold@suse.com
- update to 0.14.0:
  * Ocata sync
  * Add the application\_policy\_group to the purge list
  * Newton sync
  * Implement the 'gbp purge <tenant ID>' CLI
  * CLI for Applicaiton Policy Group
  * [aim-mapping] intra-ptg-allow ext attr for PTG
  * Move neutron dependency to requirements.txt
  * Namespace of arguments is incorrectly used
  * [Apic-mapping] Reuse BD option for L2 Policy CLI
  * Explicit address\_scope & subnetpools for L3P
  * Allow auto-ptg UUID format in validation
  * [apic-mapping] Allowed VM Name extension for L3 Policy CLI
  * [apic-mapping] Segmentation Label ext for PT CLI
  * Remove discover from test-requirements
  * Fixed IP address as optional attributes for PT
  * Add oslo.utils and oslo.serialization to requirements
  * Pinning to stable/mitaka
  * Syncing with mitaka dependencies
  * use keystoneclient exceptions instead of oslo-incubator code
  * Cap neutron client version
* Thu Apr 21 2016 tbechtold@suse.com
- Initial packaging (version 0.11.1)
